/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2010 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_kernel.h 49 2012-09-06 04:41:53Z ertl-hiro $
 */

/*
 *		kernel.hΥåȰ¸Mac OS Xѡ
 *
 *  Υ󥯥롼ɥեϡkernel.hǥ󥯥롼ɤ롥¾Υե
 *  뤫ľܥ󥯥롼ɤ뤳ȤϤʤΥե򥤥󥯥롼
 *  ˡt_stddef.h󥯥롼ɤΤǡ˰¸Ƥ
 *  
 */

#ifndef TOPPERS_TARGET_KERNEL_H
#define TOPPERS_TARGET_KERNEL_H

/*
 *  åȰ¸ǥݡȤǤ뵡ǽ
 */
#define TOPPERS_TARGET_SUPPORT_DIS_INT		/* dis_int */
#define TOPPERS_TARGET_SUPPORT_ENA_INT		/* ena_int */
#define TOPPERS_TARGET_SUPPORT_GET_UTM		/* get_utm */
#define TOPPERS_TARGET_SUPPORT_OVRHDR		/* Хϥɥ */

/*
 *  ͥ٤ϰ
 *
 *  TMIN_INTPRIѹ뤳ȤǡɤΥ٥⤤ͥ
 *  ĤΤ򥫡ͥγߤȤ뤫ѹǤ롥
 *
 *  TMIN_INTPRIǤͤϡ-6-1ϰϤǤ롥㤨TMIN_INTPRI
 *  -5ꤹȡ٥7NMIˤȥ٥6γߤͥ
 *  ʤ롥TMIN_INTPRI-6ꤹȡ٥7γߡNMI˰ʳ˥
 *  ͥγߤߤʤȤˤʤ롥
 */
#ifndef TMIN_INTPRI
#define TMIN_INTPRI		(-6)		/* ͥ٤κǾ͡ʺǹ͡*/
#endif /* TMIN_INTPRI */
#define TMAX_INTPRI		(-1)		/* ͥ٤κ͡ʺ͡ */

/*
 *  ƥå
 */
#ifndef TIC_NUME
#define	TIC_NUME		10U			/* ƥåμʬ */
#define	TIC_DENO		1U			/* ƥåμʬ */
#endif /* TIC_NUME */

#endif /* TOPPERS_TARGET_KERNEL_H */
